Flash 9 no Firefox a 64 bits

ATENÇÃO: Este conteúdo foi publicado há 10 anos. Eu talvez nem concorde mais com ele. Se é um post sobre tecnologia, talvez não faça mais sentido. Mantenho neste blog o que escrevo desde os 14 anos por motivos históricos. Leia levando isso em conta.

Para rodar o plug-in do Flash num Gentoo a 64 bits, baixe o plug-in para 32 bits na página da Adobe. Descompacte o .tar.gz e na pasta onde você descompactou, escreva:

# echo net-www/nspluginwrapper ~arch >> /etc/portage/package.keywords

… para desbloquear o “nspluginwrapper” do seu sistema, esse é o programa que vai transformar a lib de 32bits em uma lib de 64.

Então instale o nspluginwrapper:

# emerge nspluginwrapper

E agora é só instalar o plugin usando o nspluginwrapper:

# nspluginwrapper --install libflashplayer.so

Reinicie o Firefox e se divirta!

Se sua distribuição não for Gentoo, é só instalar o nspluginwrapper de outra maneira como installpkg, apt-get ou coisas do tipo. ;)

A dica foi do Renato e foi obtida no Gentoo Wiki, que é muito útil; realmente uma grande vantagem de quem usa Gentoo.

3 comentários sobre “Flash 9 no Firefox a 64 bits

  1. Saudoso Gentoo Wiki … já me salvou tantas vezes hehehe…
    Se não me engano na época que eu usava Gentoo, o povo lá do fórum internacional do Gentoo tinha a idéia de lançar um portal brazuca para o Gentoo… não sei como ficou, pois depois eu parti para Arch Linux e depois retornei à casa: Slack :D

  2. echo net-www/nspluginwrapper ~arch >> /etc/portage/package.keywords da um erro aqui bash: /etc/portage/package.keywords: Arquivo ou diretório inexistente

  3. è pena mas msm assim n consigo meter a rodar o flash no meu ubuntu 64 :(
    s alguem souber adorava que me dissesse alguma coisa por email
    obrigado vou continuar em busca do flash pro meu 64

Deixe uma resposta